<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('_abrar_plan_projects', function (Blueprint $table) {
            $table->foreign(['city_id'], 'abrar_plan_projects_city_id_foreign')->references(['id'])->on('cities')->onUpdate('cascade')->onDelete('set null');
            $table->foreign(['province_id'], 'abrar_plan_projects_province_id_foreign')->references(['id'])->on('provinces')->onUpdate('cascade')->onDelete('set null');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('_abrar_plan_projects', function (Blueprint $table) {
            $table->dropForeign('abrar_plan_projects_city_id_foreign');
            $table->dropForeign('abrar_plan_projects_province_id_foreign');
        });
    }
};
